Subject: [RFC/PATCH v2 08/13] dt: omap: i2c: add dt support for i2c1 controller

From: [email-masked] (Cousson, Benoit)
Date: Thu, 1 Sep 2011 19:34:11 +0200

Hi Manju,

On 8/23/2011 5:46 PM, G, Manjunath Kondaiah wrote:
> Hi Grant,

[...]

> This function calls of_i2c_register_devices which attaches all the required
> parameters reg, irq, archdata etc into i2c adapter. But it will not attach
> platform_data which results empty pdata pointer in i2c child devices.
>
> Is this done purposefully?

I think so, but anyway, we'd rather spend some time on doing a proper DT 
implementation than hacking more the AUXDATA temporary solution.

I've just sent a reworked version of that series with a pure 
dt-no-auxdata-hack approach.

Regards,
Benoit